From 764d7a7abb8ca65b40274e78da3ec7f0e3266d2f Mon Sep 17 00:00:00 2001
From: Aaron <donovan_aaron@bah.com>
Date: Thu, 21 Jul 2011 21:58:25 -0400
Subject: [PATCH 1/2] Use references to abstract classes Query and Session
 rather than specific subclasses.

---
 src/main/java/org/basex/api/jaxrx/BXJaxRx.java  |    7 +++++--
 src/main/java/org/basex/api/jaxrx/BXOutput.java |    6 ++++--
 2 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/src/main/java/org/basex/api/jaxrx/BXJaxRx.java b/src/main/java/org/basex/api/jaxrx/BXJaxRx.java
index ad37c47..02ef625 100644
--- a/src/main/java/org/basex/api/jaxrx/BXJaxRx.java
+++ b/src/main/java/org/basex/api/jaxrx/BXJaxRx.java
@@ -2,10 +2,13 @@ package org.basex.api.jaxrx;
 
 import static org.basex.core.Text.*;
 import static org.jaxrx.core.JaxRxConstants.*;
+
 import java.io.IOException;
 import java.io.InputStream;
 import java.util.HashSet;
+
 import javax.ws.rs.core.StreamingOutput;
+
 import org.basex.core.BaseXException;
 import org.basex.core.cmd.Delete;
 import org.basex.core.cmd.DropDB;
@@ -16,7 +19,7 @@ import org.basex.io.IO;
 import org.basex.io.out.ArrayOutput;
 import org.basex.io.serial.SerializerProp;
 import org.basex.io.serial.XMLSerializer;
-import org.basex.server.ClientSession;
+import org.basex.server.Session;
 import org.basex.util.Table;
 import org.basex.util.Token;
 import org.basex.util.Util;
@@ -166,7 +169,7 @@ public final class BXJaxRx implements JaxRx {
    * @param cs client session
    */
   void add(final InputStream input, final ResourcePath rp,
-      final ClientSession cs) {
+      final Session cs) {
 
     final int d = rp.getDepth();
     final String name = rp.getResource(d - 1);
diff --git a/src/main/java/org/basex/api/jaxrx/BXOutput.java b/src/main/java/org/basex/api/jaxrx/BXOutput.java
index f5d9976..9ee4a79 100644
--- a/src/main/java/org/basex/api/jaxrx/BXOutput.java
+++ b/src/main/java/org/basex/api/jaxrx/BXOutput.java
@@ -2,13 +2,15 @@ package org.basex.api.jaxrx;
 
 import java.io.OutputStream;
 import java.util.Scanner;
+
 import javax.ws.rs.core.StreamingOutput;
+
 import org.basex.core.BaseXException;
 import org.basex.core.Prop;
 import org.basex.core.Text;
 import org.basex.core.cmd.Open;
 import org.basex.core.cmd.Set;
-import org.basex.server.ClientQuery;
+import org.basex.server.Query;
 import org.jaxrx.core.JaxRxException;
 import org.jaxrx.core.QueryParameter;
 import org.jaxrx.core.ResourcePath;
@@ -81,7 +83,7 @@ abstract class BXOutput extends BXCode implements StreamingOutput {
     final int s = num(path, QueryParameter.START, 1);
     final int m = num(path, QueryParameter.COUNT, Integer.MAX_VALUE - s);
 
-    ClientQuery cq = null;
+    Query cq = null;
     try {
       cs.execute(new Set(Prop.SERIALIZER, serial(path)));
       cs.setOutputStream(out);
-- 
1.7.5

